2017
2016
2015
2014
2013
2012
2011
2010
2009
2008
2007
2006
2005

Multiple vulnerabilities in extension "JobControl" (dmmjobcontrol)

December 19, 2017

Author: Stephan Großberndt

It has been discovered that the extension "JobControl" (dmmjobcontrol) is susceptible to SQL Injection and Cross Site-Scripting.

Release Date: December 18, 2017

Component Type: Third party extension. This extension is not a part of the TYPO3 default installation.

Affected Versions: version 2.16.0 and below

Vulnerability Type: SQL Injection, Cross Site-Scripting

Severity: Critical

Suggested CVSS v3.0:  AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H/E:F/RL:U/RC:C (What's that?)

CVE: not assigned yet

Problem Description: The extension fails to properly sanitize user input and is susceptible to SQL Injection and Cross Site-Scripting.

Solution: Versions of this extension that are known to be vulnerable will no longer be available for download from the TYPO3 Extension Repository. The extension author is no longer maintaining this extension. Please uninstall and delete the extension from your installation.

Update: Thanks to sponsoring from CPS-IT GmbH, the security team was able to release a bug fix version of this extension. Please note that only known vulnerabilities were fixed and we did not do any security audit for the extension.

Credits: Credits go to Gábor Ács-Kurucz who discovered and reported the vulnerability.

 

General advice: Follow the recommendations that are given in the TYPO3 Security Guide. Please subscribe to the typo3-announce mailing list to receive future Security Bulletins via E-mail.


Add comment

Please log in or sign up to comment.